package de.gurkengewuerz.monitoring.object;

/**
 * Created by gurkengewuerz.de on 21.10.2017.
 */
public enum State {
    ONLINE {
        @Override
        public String toString() {
            return "online";
        }
    },
    OFFLINE {
        @Override
        public String toString() {
            return "offline";
        }
    },
    PAUSED {
        @Override
        public String toString() {
            return "paused";
        }
    };

    public static State getByName(String state) {
        if (state == null) return null;
        switch (state.toLowerCase()) {
            case "offline":
                return OFFLINE;
            case "online":
                return ONLINE;
            case "paused":
                return PAUSED;
        }
        return null;
    }
}
